All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface Root

All Superinterfaces:
  CMetadata, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, java.rmi.Remote

All Known Subinterfaces:
  AbstractExtension, AbstractJob, AbstractPrompt, AbstractProperty, AbstractTransformation, AccessControl, AccessControlEntry, AccessControlTemplate, Action, Aggregation, AnalyticColumn, AnalyticContext, AnalyticTable, ApplicationAction, ArchiveEntry, ArchiveFile, AssociationProperty, AttributeProperty, AuthenticationDomain, CalculatedMeasure, CalculatedMember, Change, Classifier, ClassifierMap, Column, ColumnRange, COMConnection, Condition, ConditionActionSet, ConditionalPrecedence, ConfiguredComponent, Connection, ContentLocation, ContentType, Cube, CustomAssociation, DatabaseCatalog, DatabaseSchema, DataSourceName, DataTable, DeployedComponent, DeployedDataPackage, Device, DeviceType, Dimension, Directory, Document, Email, Event, Extension, ExternalIdentity, ExternalTable, FavoritesContainer, Feature, FeatureMap, File, FitStatistic, ForeignKey, GlobalFormula, Group, GroupByClause, HavingClause, Hierarchy, HierarchyLevel, Identity, IdentityGroup, Index, InternalLogin, ITChannel, ITContentSubscriber, ITEventSubscriber, ITFilter, ITSubscriber, JFJob, Job, Join, JoinTable, Key, KeyAssociation, Keyword, Level, LocalizedResource, LocalizedType, Location, LogicalColumn, LogicalServer, Login, Machine, Measure, Memory, MiningResult, NamedService, NamedSet, NumericExtension, OLAPProperty, OLAPSchema, OnClause, OpenClientConnection, OrderByClause, Permission, PermissionCondition, Person, Phone, PhysicalTable, PrimaryType, Prompt, PromptGroup, Property, PropertyGroup, PropertySet, PropertyType, Prototype, PrototypeProperty, PSColumnLayoutComponent, PSLayoutComponent, PSPortalPage, PSPortalProfile, PSPortlet, QueryClause, QueryTable, RelationalSchema, RelationalTable, Report, ResponsibleParty, Role, RowSelector, SASCatalog, SASCatalogEntry, SASClientConnection, SASFileRef, SASLibrary, SASLicense, SASPassword, Search, SecondaryType, SecurityRule, SecurityRuleScheme, SecurityTypeContainmentRule, Select, ServerComponent, ServerContext, ServiceComponent, ServiceType, SharedDimension, SoftwareComponent, StepPrecedence, Stream, SXLEMap, SyncStep, TableCollection, Target, TCPIPConnection, Text, TextStore, Timestamp, Transformation, TransformationActivity, TransformationStep, Tree, TSNameObject, TSNamespace, TypeDefinition, UniqueKey, UnitofTime, Variable, WhereClause, WorkTable, XPath

    public interface Root

extends CMetadata

This is an abstract type that is the supertype for all of the other metadata types.

Attributes of Root are:

- `LockedBy`
- `ChangeState`
- `UsageVersion`

Associations of Root are:

- `Changes`
- `CustomAssociations`
- `Keywords`
- `Notes`
- `Prompts`
- `ReferencedObjects`
- `TargetTransformations`
- `TSObjectNamespace`
- `UsingPrototype`
- `AccessControls`
- `Documents`
- `Extensions`
- `ExternalIdentities`
- `Groups`
- `Implementors`
- `LocalizedAttributes`
- `PrimaryPropertyGroup`
- `Properties`
- `PropertySets`
- `ResponsibleParties`
- `SourceTransformations`
- `SpecSourceTransformations`
- `SpecTargetTransformations`
- `Timestamps`
- `Trees`
- `UsedByPrototypes`
- `Variables`

## Usage

To create an instance of this Root, use the `factory` create methods.
Example: create a Root with name "Root_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     Root myObject = (Root) factory.createComplexMetadataObject(objectStore, "Root_Object", MetadataObjects.ROOT, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_ACCESSCONTROLS_NAME` Constant used for the name of the AccessControls association.
`static java.lang.String` | `ASSOCIATION_CHANGES_NAME` Constant used for the name of the Changes association.
`static java.lang.String` | `ASSOCIATION_CUSTOMASSOCIATIONS_NAME` Constant used for the name of the CustomAssociations association.
`static java.lang.String` | `ASSOCIATION_DOCUMENTS_NAME` Constant used for the name of the Documents association.
`static java.lang.String` | `ASSOCIATION_EXTENSIONS_NAME` Constant used for the name of the Extensions association.
`static java.lang.String` | `ASSOCIATION_EXTERNALIDENTITIES_NAME` Constant used for the name of the ExternalIdentities association.
`static java.lang.String` | `ASSOCIATION_GROUPS_NAME` Constant used for the name of the Groups association.
`static java.lang.String` | `ASSOCIATION_IMPLEMENTORS_NAME` Constant used for the name of the Implementors association.
`static java.lang.String` | `ASSOCIATION_KEYWORDS_NAME` Constant used for the name of the Keywords association.
`static java.lang.String` | `ASSOCIATION_LOCALIZEDATTRIBUTES_NAME` Constant used for the name of the LocalizedAttributes association.
`static java.lang.String` | `ASSOCIATION_NOTES_NAME` Constant used for the name of the Notes association.
`static java.lang.String` | `ASSOCIATION_PRIMARYPROPERTYGROUP_NAME` Constant used for the name of the PrimaryPropertyGroup association.
`static java.lang.String` | `ASSOCIATION_PROMPTS_NAME` Constant used for the name of the Prompts association.
`static java.lang.String` | `ASSOCIATION_PROPERTIES_NAME` Constant used for the name of the Properties association.
`static java.lang.String` | `ASSOCIATION_PROPERTYSETS_NAME` Constant used for the name of the PropertySets association.
`static java.lang.String` | `ASSOCIATION_REFERENCEDOBJECTS_NAME` Constant used for the name of the ReferencedObjects association.
`static java.lang.String` | `ASSOCIATION_RESPONSIBLEPARTIES_NAME` Constant used for the name of the ResponsibleParties association.
`static java.lang.String` | `ASSOCIATION_SOURCETRANSFORMATIONS_NAME` Constant used for the name of the SourceTransformations association.
`static java.lang.String` | `ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME` Constant used for the name of the SpecSourceTransformations association.
`static java.lang.String` | `ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME` Constant used for the name of the SpecTargetTransformations association.
`static java.lang.String` | `ASSOCIATION_TARGETTRANSFORMATIONS_NAME` Constant used for the name of the TargetTransformations association.
`static java.lang.String` | `ASSOCIATION_TIMESTAMPS_NAME` Constant used for the name of the Timestamps association.
`static java.lang.String` | `ASSOCIATION_TREES_NAME` Constant used for the name of the Trees association.
`static java.lang.String` | `ASSOCIATION_TSOBJECTNAMESPACE_NAME` Constant used for the name of the TSObjectNamespace association.
`static java.lang.String` | `ASSOCIATION_USEDBYPROTOTYPES_NAME` Constant used for the name of the UsedByPrototypes association.
`static java.lang.String` | `ASSOCIATION_USINGPROTOTYPE_NAME` Constant used for the name of the UsingPrototype association.
`static java.lang.String` | `ASSOCIATION_VARIABLES_NAME` Constant used for the name of the Variables association.
`static java.lang.String` | `ATTRIBUTE_CHANGESTATE_NAME` Constant used for the name of the ChangeState attribute.
`static java.lang.String` | `ATTRIBUTE_LOCKEDBY_NAME` Constant used for the name of the LockedBy attribute.
`static java.lang.String` | `ATTRIBUTE_USAGEVERSION_NAME` Constant used for the name of the UsageVersion attribute.

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`AssociationList` | `getAccessControls()` Gets the Association list of `AccessControls`
`AssociationList` | `getAccessControls(boolean fGoToServer)` Gets the Associationlist of `AccessControls`
`AssociationList` | `getChanges()` Gets the AssociationList of `Changes`
`AssociationList` | `getChanges(boolean fGoToServer)` Gets the Associationlist of `Changes`
`java.lang.String` | `getChangeState()` Gets the `String` value of `ChangeState`
`int` | `getChangeStateMaxLength()` Gets the maximum length of `ChangeState`
`int` | `getChangeStateState()` Gets the Metadata State of `ChangeState`
`AssociationList` | `getCustomAssociations()` Gets the AssociationList of `CustomAssociations`
`AssociationList` | `getCustomAssociations(boolean fGoToServer)` Gets the Associationlist of `CustomAssociations`
`AssociationList` | `getDocuments()` Gets the Association list of `Documents`
`AssociationList` | `getDocuments(boolean fGoToServer)` Gets the Associationlist of `Documents`
`AssociationList` | `getExtensions()` Gets the Association list of `Extensions`
`AssociationList` | `getExtensions(boolean fGoToServer)` Gets the Associationlist of `Extensions`
`AssociationList` | `getExternalIdentities()` Gets the Association list of `ExternalIdentities`
`AssociationList` | `getExternalIdentities(boolean fGoToServer)` Gets the Associationlist of `ExternalIdentities`
`AssociationList` | `getGroups()` Gets the Association list of `Groups`
`AssociationList` | `getGroups(boolean fGoToServer)` Gets the Associationlist of `Groups`
`AssociationList` | `getImplementors()` Gets the Association list of `Implementors`
`AssociationList` | `getImplementors(boolean fGoToServer)` Gets the Associationlist of `Implementors`
`AssociationList` | `getKeywords()` Gets the AssociationList of `Keywords`
`AssociationList` | `getKeywords(boolean fGoToServer)` Gets the Associationlist of `Keywords`
`AssociationList` | `getLocalizedAttributes()` Gets the Association list of `LocalizedAttributes`
`AssociationList` | `getLocalizedAttributes(boolean fGoToServer)` Gets the Associationlist of `LocalizedAttributes`
`java.lang.String` | `getLockedBy()` Gets the `String` value of `LockedBy`
`int` | `getLockedByMaxLength()` Gets the maximum length of `LockedBy`
`int` | `getLockedByState()` Gets the Metadata State of `LockedBy`
`AssociationList` | `getNotes()` Gets the AssociationList of `Notes`
`AssociationList` | `getNotes(boolean fGoToServer)` Gets the Associationlist of `Notes`
`PropertyGroup` | `getPrimaryPropertyGroup()` Gets the `PropertyGroup` for `PrimaryPropertyGroup`
`AssociationList` | `getPrimaryPropertyGroups()` Gets the Association list of `PrimaryPropertyGroups`
`AssociationList` | `getPrimaryPropertyGroups(boolean fGoToServer)` Gets the Associationlist of `PrimaryPropertyGroups`
`AssociationList` | `getPrompts()` Gets the AssociationList of `Prompts`
`AssociationList` | `getPrompts(boolean fGoToServer)` Gets the Associationlist of `Prompts`
`AssociationList` | `getProperties()` Gets the Association list of `Properties`
`AssociationList` | `getProperties(boolean fGoToServer)` Gets the Associationlist of `Properties`
`AssociationList` | `getPropertySets()` Gets the Association list of `PropertySets`
`AssociationList` | `getPropertySets(boolean fGoToServer)` Gets the Associationlist of `PropertySets`
`AssociationList` | `getReferencedObjects()` Gets the AssociationList of `ReferencedObjects`
`AssociationList` | `getReferencedObjects(boolean fGoToServer)` Gets the Associationlist of `ReferencedObjects`
`AssociationList` | `getResponsibleParties()` Gets the Association list of `ResponsibleParties`
`AssociationList` | `getResponsibleParties(boolean fGoToServer)` Gets the Associationlist of `ResponsibleParties`
`AssociationList` | `getSourceTransformations()` Gets the Association list of `SourceTransformations`
`AssociationList` | `getSourceTransformations(boolean fGoToServer)` Gets the Associationlist of `SourceTransformations`
`AssociationList` | `getSpecSourceTransformations()` Gets the Association list of `SpecSourceTransformations`
`AssociationList` | `getSpecSourceTransformations(boolean fGoToServer)` Gets the Associationlist of `SpecSourceTransformations`
`AssociationList` | `getSpecTargetTransformations()` Gets the Association list of `SpecTargetTransformations`
`AssociationList` | `getSpecTargetTransformations(boolean fGoToServer)` Gets the Associationlist of `SpecTargetTransformations`
`AssociationList` | `getTargetTransformations()` Gets the AssociationList of `TargetTransformations`
`AssociationList` | `getTargetTransformations(boolean fGoToServer)` Gets the Associationlist of `TargetTransformations`
`AssociationList` | `getTimestamps()` Gets the Association list of `Timestamps`
`AssociationList` | `getTimestamps(boolean fGoToServer)` Gets the Associationlist of `Timestamps`
`AssociationList` | `getTrees()` Gets the Association list of `Trees`
`AssociationList` | `getTrees(boolean fGoToServer)` Gets the Associationlist of `Trees`
`TSNamespace` | `getTSObjectNamespace()` Gets the `TSNamespace` for `TSObjectNamespace`
`AssociationList` | `getTSObjectNamespaces()` Gets the AssociationList of `TSObjectNamespaces`
`AssociationList` | `getTSObjectNamespaces(boolean fGoToServer)` Gets the Associationlist of `TSObjectNamespaces`
`double` | `getUsageVersion()` Gets the `double` value of `UsageVersion`
`int` | `getUsageVersionState()` Gets the Metadata State of `UsageVersion`
`AssociationList` | `getUsedByPrototypes()` Gets the Association list of `UsedByPrototypes`
`AssociationList` | `getUsedByPrototypes(boolean fGoToServer)` Gets the Associationlist of `UsedByPrototypes`
`Root` | `getUsingPrototype()` Gets the `Root` for `UsingPrototype`
`AssociationList` | `getUsingPrototypes()` Gets the AssociationList of `UsingPrototypes`
`AssociationList` | `getUsingPrototypes(boolean fGoToServer)` Gets the Associationlist of `UsingPrototypes`
`AssociationList` | `getVariables()` Gets the Association list of `Variables`
`AssociationList` | `getVariables(boolean fGoToServer)` Gets the Associationlist of `Variables`
`void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `Changes` `CustomAssociations` `Keywords` `Notes` `Prompts` `ReferencedObjects` `TargetTransformations` `TSObjectNamespace` `UsingPrototype`
`void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`void` | `setAccessControls(AssociationList list)` Sets the `AccessControls` list to be `list`.
`void` | `setAccessControls(AssociationList inObjects, int state)` Sets the entire AccessControls list to match the passed in AssociationList, sets the state of the AccessControls
`void` | `setChanges(AssociationList list)` Sets the `Changes` list to be `list`.
`void` | `setChanges(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setChangeState(java.lang.String inChangeState)` Sets the `ChangeState` value and sets the state to MetadataState.LOCAL.
`void` | `setChangeState(java.lang.String inChangeState, int state)` Sets the `ChangeState` Metadata State.
`void` | `setChangeStateState(int state)` Sets the Metadata State of `ChangeState`.
`void` | `setCustomAssociations(AssociationList list)` Sets the `CustomAssociations` list to be `list`.
`void` | `setCustomAssociations(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setDocuments(AssociationList list)` Sets the `Documents` list to be `list`.
`void` | `setDocuments(AssociationList inObjects, int state)` Sets the entire Documents list to match the passed in AssociationList, sets the state of the Documents
`void` | `setExtensions(AssociationList list)` Sets the `Extensions` list to be `list`.
`void` | `setExtensions(AssociationList inObjects, int state)` Sets the entire Extensions list to match the passed in AssociationList, sets the state of the Extensions
`void` | `setExternalIdentities(AssociationList list)` Sets the `ExternalIdentities` list to be `list`.
`void` | `setExternalIdentities(AssociationList inObjects, int state)` Sets the entire ExternalIdentities list to match the passed in AssociationList, sets the state of the ExternalIdentities
`void` | `setGroups(AssociationList list)` Sets the `Groups` list to be `list`.
`void` | `setGroups(AssociationList inObjects, int state)` Sets the entire Groups list to match the passed in AssociationList, sets the state of the Groups
`void` | `setImplementors(AssociationList list)` Sets the `Implementors` list to be `list`.
`void` | `setImplementors(AssociationList inObjects, int state)` Sets the entire Implementors list to match the passed in AssociationList, sets the state of the Implementors
`void` | `setKeywords(AssociationList list)` Sets the `Keywords` list to be `list`.
`void` | `setKeywords(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setLocalizedAttributes(AssociationList list)` Sets the `LocalizedAttributes` list to be `list`.
`void` | `setLocalizedAttributes(AssociationList inObjects, int state)` Sets the entire LocalizedAttributes list to match the passed in AssociationList, sets the state of the LocalizedAttributes
`void` | `setLockedBy(java.lang.String inLockedBy)` Sets the `LockedBy` value and sets the state to MetadataState.LOCAL.
`void` | `setLockedBy(java.lang.String inLockedBy, int state)` Sets the `LockedBy` Metadata State.
`void` | `setLockedByState(int state)` Sets the Metadata State of `LockedBy`.
`void` | `setNotes(AssociationList list)` Sets the `Notes` list to be `list`.
`void` | `setNotes(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setPrimaryPropertyGroup(PropertyGroup inObject)` Sets the `PrimaryPropertyGroups` list 0th element to be `inObject`.
`void` | `setPrimaryPropertyGroups(AssociationList list)` Sets the `PrimaryPropertyGroups` list to be `list`.
`void` | `setPrimaryPropertyGroups(AssociationList list, int state)` Sets the `PrimaryPropertyGroups` list to be `list`.
`void` | `setPrompts(AssociationList list)` Sets the `Prompts` list to be `list`.
`void` | `setPrompts(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setProperties(AssociationList list)` Sets the `Properties` list to be `list`.
`void` | `setProperties(AssociationList inObjects, int state)` Sets the entire Properties list to match the passed in AssociationList, sets the state of the Properties
`void` | `setPropertySets(AssociationList list)` Sets the `PropertySets` list to be `list`.
`void` | `setPropertySets(AssociationList inObjects, int state)` Sets the entire PropertySets list to match the passed in AssociationList, sets the state of the PropertySets
`void` | `setReferencedObjects(AssociationList list)` Sets the `ReferencedObjects` list to be `list`.
`void` | `setReferencedObjects(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setResponsibleParties(AssociationList list)` Sets the `ResponsibleParties` list to be `list`.
`void` | `setResponsibleParties(AssociationList inObjects, int state)` Sets the entire ResponsibleParties list to match the passed in AssociationList, sets the state of the ResponsibleParties
`void` | `setSourceTransformations(AssociationList list)` Sets the `SourceTransformations` list to be `list`.
`void` | `setSourceTransformations(AssociationList inObjects, int state)` Sets the entire SourceTransformations list to match the passed in AssociationList, sets the state of the SourceTransformations
`void` | `setSpecSourceTransformations(AssociationList list)` Sets the `SpecSourceTransformations` list to be `list`.
`void` | `setSpecSourceTransformations(AssociationList inObjects, int state)` Sets the entire SpecSourceTransformations list to match the passed in AssociationList, sets the state of the SpecSourceTransformations
`void` | `setSpecTargetTransformations(AssociationList list)` Sets the `SpecTargetTransformations` list to be `list`.
`void` | `setSpecTargetTransformations(AssociationList inObjects, int state)` Sets the entire SpecTargetTransformations list to match the passed in AssociationList, sets the state of the SpecTargetTransformations
`void` | `setTargetTransformations(AssociationList list)` Sets the `TargetTransformations` list to be `list`.
`void` | `setTargetTransformations(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setTimestamps(AssociationList list)` Sets the `Timestamps` list to be `list`.
`void` | `setTimestamps(AssociationList inObjects, int state)` Sets the entire Timestamps list to match the passed in AssociationList, sets the state of the Timestamps
`void` | `setTrees(AssociationList list)` Sets the `Trees` list to be `list`.
`void` | `setTrees(AssociationList inObjects, int state)` Sets the entire Trees list to match the passed in AssociationList, sets the state of the Trees
`void` | `setTSObjectNamespace(TSNamespace inObject)` Sets the `TSObjectNamespaces` list 0th element to be `inObject`.
`void` | `setTSObjectNamespaces(AssociationList list)` Sets the `TSObjectNamespaces` list to be `list`.
`void` | `setTSObjectNamespaces(AssociationList list, int state)` Sets the `TSObjectNamespaces` list to be `list`.
`void` | `setUsageVersion(double inUsageVersion)` Sets the `UsageVersion` value and sets the state to MetadataState.LOCAL.
`void` | `setUsageVersion(double inUsageVersion, int state)` Sets the `UsageVersion` Metadata State.
`void` | `setUsageVersion(java.lang.String inUsageVersion)` Sets the `UsageVersion` value and sets the state to MetadataState.LOCAL
`void` | `setUsageVersion(java.lang.String inUsageVersion, int state)` Sets the `UsageVersion` value and Metadata State.
`void` | `setUsageVersionState(int state)` Sets the Metadata State of `UsageVersion`.
`void` | `setUsedByPrototypes(AssociationList list)` Sets the `UsedByPrototypes` list to be `list`.
`void` | `setUsedByPrototypes(AssociationList inObjects, int state)` Sets the entire UsedByPrototypes list to match the passed in AssociationList, sets the state of the UsedByPrototypes
`void` | `setUsingPrototype(Root inObject)` Sets the `UsingPrototypes` list 0th element to be `inObject`.
`void` | `setUsingPrototypes(AssociationList list)` Sets the `UsingPrototypes` list to be `list`.
`void` | `setUsingPrototypes(AssociationList list, int state)` Sets the `UsingPrototypes` list to be `list`.
`void` | `setVariables(AssociationList list)` Sets the `Variables` list to be `list`.
`void` | `setVariables(AssociationList inObjects, int state)` Sets the entire Variables list to match the passed in AssociationList, sets the state of the Variables

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_LOCKEDBY_NAME

    static final java.lang.String ATTRIBUTE_LOCKEDBY_NAME

  Constant used for the name of the LockedBy attribute.

  LockedBy: This attribute is used by Change management.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGESTATE_NAME

    static final java.lang.String ATTRIBUTE_CHANGESTATE_NAME

  Constant used for the name of the ChangeState attribute.

  ChangeState: This attribute is used by Change management.

  See Also:
    Constant Field Values

### ATTRIBUTE_USAGEVERSION_NAME

    static final java.lang.String ATTRIBUTE_USAGEVERSION_NAME

  Constant used for the name of the UsageVersion attribute.

  UsageVersion: Use the new UsageVersion attribute to identify changes in metadata usage. The UsageVersion attribute is a double. The typical usage is a integer major version, followed by a minor version specified as a decimal hundredths value. For example, a sequence of UsageVersions across several client releases might be 1.00, 1.01, 1.02, 2.00, 2.01, etc. Be aware of pitfalls in dealing with exact comparisions of floating point values when using UsageVersion in your application. Direct comparisons and assignments of double value and constants are generally not a problem. Calculations (such as, new_version = old_version + 0.01) involving UsageVersion should be avoided. An application should allow readonly access to an object with a higher minor version number, but not allow update access. For example, an application that is tied to UsageVersion 3.02 could be used to edit any object with a UsageVersion of 3.02 or below. That application could read but not update a 3.03 or 3.04 object.

  See Also:
    Constant Field Values

### ASSOCIATION_CHANGES_NAME

    static final java.lang.String ASSOCIATION_CHANGES_NAME

  Constant used for the name of the Changes association.

  Changes: This association is used by the change management facility to indicate the objects included in a given change. The change management facility is used exclusively by SAS Data Integration Studio.

  See Also:
    Constant Field Values

### ASSOCIATION_CUSTOMASSOCIATIONS_NAME

    static final java.lang.String ASSOCIATION_CUSTOMASSOCIATIONS_NAME

  Constant used for the name of the CustomAssociations association.

  CustomAssociations: The custom associations related to this owning object.

  See Also:
    Constant Field Values

### ASSOCIATION_KEYWORDS_NAME

    static final java.lang.String ASSOCIATION_KEYWORDS_NAME

  Constant used for the name of the Keywords association.

  Keywords: The keywords associated with this object.

  See Also:
    Constant Field Values

### ASSOCIATION_NOTES_NAME

    static final java.lang.String ASSOCIATION_NOTES_NAME

  Constant used for the name of the Notes association.

  Notes: The list of notes associated with the object.

  See Also:
    Constant Field Values

### ASSOCIATION_PROMPTS_NAME

    static final java.lang.String ASSOCIATION_PROMPTS_NAME

  Constant used for the name of the Prompts association.

  Prompts: The prompts or prompt group for this object.

  See Also:
    Constant Field Values

### ASSOCIATION_REFERENCEDOBJECTS_NAME

    static final java.lang.String ASSOCIATION_REFERENCEDOBJECTS_NAME

  Constant used for the name of the ReferencedObjects association.

  ReferencedObjects: The object(s) that are associated to the owning object using this custom association.

  See Also:
    Constant Field Values

### ASSOCIATION_TARGETTRANSFORMATIONS_NAME

    static final java.lang.String ASSOCIATION_TARGETTRANSFORMATIONS_NAME

  Constant used for the name of the TargetTransformations association.

  TargetTransformations: The set of transformation activities that create this result.

  See Also:
    Constant Field Values

### ASSOCIATION_TSOBJECTNAMESPACE_NAME

    static final java.lang.String ASSOCIATION_TSOBJECTNAMESPACE_NAME

  Constant used for the name of the TSObjectNamespace association.

  TSObjectNamespace: Table server namespace for this object.

  See Also:
    Constant Field Values

### ASSOCIATION_USINGPROTOTYPE_NAME

    static final java.lang.String ASSOCIATION_USINGPROTOTYPE_NAME

  Constant used for the name of the UsingPrototype association.

  UsingPrototype: The prototype for this object. This must be a Prototype object, or an object of the SAME metadata type as this object.

  See Also:
    Constant Field Values

### ASSOCIATION_ACCESSCONTROLS_NAME

    static final java.lang.String ASSOCIATION_ACCESSCONTROLS_NAME

  Constant used for the name of the AccessControls association.

  AccessControls: The access controls for this object.

  See Also:
    Constant Field Values

### ASSOCIATION_DOCUMENTS_NAME

    static final java.lang.String ASSOCIATION_DOCUMENTS_NAME

  Constant used for the name of the Documents association.

  Documents: The documents that are associated with this object.

  See Also:
    Constant Field Values

### ASSOCIATION_EXTENSIONS_NAME

    static final java.lang.String ASSOCIATION_EXTENSIONS_NAME

  Constant used for the name of the Extensions association.

  Extensions: The object the extension is associated with. An extension can be associated with any kind of object.

  See Also:
    Constant Field Values

### ASSOCIATION_EXTERNALIDENTITIES_NAME

    static final java.lang.String ASSOCIATION_EXTERNALIDENTITIES_NAME

  Constant used for the name of the ExternalIdentities association.

  ExternalIdentities: The external identities for this object in other contexts.

  See Also:
    Constant Field Values

### ASSOCIATION_GROUPS_NAME

    static final java.lang.String ASSOCIATION_GROUPS_NAME

  Constant used for the name of the Groups association.

  Groups: The groups that have this object as a member.

  See Also:
    Constant Field Values

### ASSOCIATION_IMPLEMENTORS_NAME

    static final java.lang.String ASSOCIATION_IMPLEMENTORS_NAME

  Constant used for the name of the Implementors association.

  Implementors: The software components that utilize the metadata in this object.

  See Also:
    Constant Field Values

### ASSOCIATION_LOCALIZEDATTRIBUTES_NAME

    static final java.lang.String ASSOCIATION_LOCALIZEDATTRIBUTES_NAME

  Constant used for the name of the LocalizedAttributes association.

  LocalizedAttributes: Lists localized attributes that are defined for this object. A localized attribute is modeled with a Property object that has the same Name= value as the attribute that it localizes, and has the Role= attribute set to "Override".

  See Also:
    Constant Field Values

### ASSOCIATION_PRIMARYPROPERTYGROUP_NAME

    static final java.lang.String ASSOCIATION_PRIMARYPROPERTYGROUP_NAME

  Constant used for the name of the PrimaryPropertyGroup association.

  PrimaryPropertyGroup: Any object may have one PrimaryPropertyGroup. PrimaryPropertyGroup is the starting place for a hierarchy of property objects, often used to help drive a UI. The properties contained in this group are not actual values, instead they represent the set of possible values or options for the associated object. For more information, see PropertyGroup.

  See Also:
    Constant Field Values

### ASSOCIATION_PROPERTIES_NAME

    static final java.lang.String ASSOCIATION_PROPERTIES_NAME

  Constant used for the name of the Properties association.

  Properties: Lists the default properties for this object. This association should contain a complete set of properties for "default" usage. If there are no default properties, then this association should not be used. Properties that are relevant only for a specific context should be grouped using a PropertySet object. For more information, see Property.

  The Properties association for SASLibrary and PhysicalTable objects must contain valid LIBNAME statement options.

  See Also:
    Constant Field Values

### ASSOCIATION_PROPERTYSETS_NAME

    static final java.lang.String ASSOCIATION_PROPERTYSETS_NAME

  Constant used for the name of the PropertySets association.

  PropertySets: Any object may have one or more PropertySet objects. A PropertySet contains a complete group of properties used in a particular context. For more information, see PropertySet.

  See Also:
    Constant Field Values

### ASSOCIATION_RESPONSIBLEPARTIES_NAME

    static final java.lang.String ASSOCIATION_RESPONSIBLEPARTIES_NAME

  Constant used for the name of the ResponsibleParties association.

  ResponsibleParties: The list of responsibilities that have been assigned for this object. In order to determine the identities who have been assigned to a particular responsibility, the application writer would need to traverse the Persons association.

  See Also:
    Constant Field Values

### ASSOCIATION_SOURCETRANSFORMATIONS_NAME

    static final java.lang.String ASSOCIATION_SOURCETRANSFORMATIONS_NAME

  Constant used for the name of the SourceTransformations association.

  SourceTransformations: The set of transformations that use this input.

  See Also:
    Constant Field Values

### ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME

    static final java.lang.String ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME

  Constant used for the name of the SpecSourceTransformations association.

  SpecSourceTransformations: The transformation that uses this specification as a source.

  See Also:
    Constant Field Values

### ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME

    static final java.lang.String ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME

  Constant used for the name of the SpecTargetTransformations association.

  SpecTargetTransformations: The transformation that uses this specification as a target.

  See Also:
    Constant Field Values

### ASSOCIATION_TIMESTAMPS_NAME

    static final java.lang.String ASSOCIATION_TIMESTAMPS_NAME

  Constant used for the name of the Timestamps association.

  Timestamps: The timestamps associated with this object.

  See Also:
    Constant Field Values

### ASSOCIATION_TREES_NAME

    static final java.lang.String ASSOCIATION_TREES_NAME

  Constant used for the name of the Trees association.

  Trees: The trees that have this object as a member.

  See Also:
    Constant Field Values

### ASSOCIATION_USEDBYPROTOTYPES_NAME

    static final java.lang.String ASSOCIATION_USEDBYPROTOTYPES_NAME

  Constant used for the name of the UsedByPrototypes association.

  UsedByPrototypes: The objects that use this object as a prototype.

  See Also:
    Constant Field Values

### ASSOCIATION_VARIABLES_NAME

    static final java.lang.String ASSOCIATION_VARIABLES_NAME

  Constant used for the name of the Variables association.

  Variables: The variables associated with this object.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `Changes`
  `CustomAssociations`
  `Keywords`
  `Notes`
  `Prompts`
  `ReferencedObjects`
  `TargetTransformations`
  `TSObjectNamespace`
  `UsingPrototype`

  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getLockedBy

    java.lang.String getLockedBy()
                                 throws java.rmi.RemoteException

  Gets the `String` value of `LockedBy`

  Returns:
    The `LockedBy`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getLockedByState

    int getLockedByState()
                         throws java.rmi.RemoteException

  Gets the Metadata State of `LockedBy`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getLockedByMaxLength

    int getLockedByMaxLength()
                             throws java.rmi.RemoteException

  Gets the maximum length of `LockedBy`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getChangeState

    java.lang.String getChangeState()
                                    throws java.rmi.RemoteException

  Gets the `String` value of `ChangeState`

  Returns:
    The `ChangeState`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getChangeStateState

    int getChangeStateState()
                            throws java.rmi.RemoteException

  Gets the Metadata State of `ChangeState`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getChangeStateMaxLength

    int getChangeStateMaxLength()
                                throws java.rmi.RemoteException

  Gets the maximum length of `ChangeState`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getUsageVersion

    double getUsageVersion()
                           throws java.rmi.RemoteException

  Gets the `double` value of `UsageVersion`

  Returns:
    The `UsageVersion`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getUsageVersionState

    int getUsageVersionState()
                             throws java.rmi.RemoteException

  Gets the Metadata State of `UsageVersion`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getChanges

    AssociationList getChanges()
                               throws java.rmi.RemoteException,
                                      MdException

  Gets the AssociationList of `Changes`

  Returns:
    Returns the AssociationList of `Changes` which can be of type:
    Change
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getCustomAssociations

    AssociationList getCustomAssociations()
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the AssociationList of `CustomAssociations`

  Returns:
    Returns the AssociationList of `CustomAssociations` which can be of type:
    CustomAssociation
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getKeywords

    AssociationList getKeywords()
                                throws java.rmi.RemoteException,
                                       MdException

  Gets the AssociationList of `Keywords`

  Returns:
    Returns the AssociationList of `Keywords` which can be of type:
    Keyword
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getNotes

    AssociationList getNotes()
                             throws java.rmi.RemoteException,
                                    MdException

  Gets the AssociationList of `Notes`

  Returns:
    Returns the AssociationList of `Notes` which can be of type:
    TextStore
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getPrompts

    AssociationList getPrompts()
                               throws java.rmi.RemoteException,
                                      MdException

  Gets the AssociationList of `Prompts`

  Returns:
    Returns the AssociationList of `Prompts` which can be of type:
    AbstractPrompt
    Prompt
    PromptGroup
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getReferencedObjects

    AssociationList getReferencedObjects()
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the AssociationList of `ReferencedObjects`

  Returns:
    Returns the AssociationList of `ReferencedObjects` which can be of type:
    CustomAssociation
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTargetTransformations

    AssociationList getTargetTransformations()
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the AssociationList of `TargetTransformations`

  Returns:
    Returns the AssociationList of `TargetTransformations` which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTSObjectNamespaces

    AssociationList getTSObjectNamespaces()
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the AssociationList of `TSObjectNamespaces`

  Returns:
    Returns the AssociationList of `TSObjectNamespaces` which can be of type:
    TSNamespace
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getTSObjectNamespace

    TSNamespace getTSObjectNamespace()
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the `TSNamespace` for `TSObjectNamespace`

  Returns:
    The `TSNamespace` ( `null` if not set) of `TSObjectNamespace`which can be of type:
    TSNamespace
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getUsingPrototypes

    AssociationList getUsingPrototypes()
                                       throws java.rmi.RemoteException,
                                              MdException

  Gets the AssociationList of `UsingPrototypes`

  Returns:
    Returns the AssociationList of `UsingPrototypes` which can be of type:
    All types
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getUsingPrototype

    Root getUsingPrototype()
                           throws java.rmi.RemoteException,
                                  MdException

  Gets the `Root` for `UsingPrototype`

  Returns:
    The `Root` ( `null` if not set) of `UsingPrototype`which can be of type:
    All types
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getAccessControls

    AssociationList getAccessControls()
                                      throws java.rmi.RemoteException,
                                             MdException

  Gets the Association list of `AccessControls`

  Returns:
    The AssociationList of `AccessControls` which can be of type:
    AccessControl
    AccessControlEntry
    AccessControlTemplate
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDocuments

    AssociationList getDocuments()
                                 throws java.rmi.RemoteException,
                                        MdException

  Gets the Association list of `Documents`

  Returns:
    The AssociationList of `Documents` which can be of type:
    Document
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getExtensions

    AssociationList getExtensions()
                                  throws java.rmi.RemoteException,
                                         MdException

  Gets the Association list of `Extensions`

  Returns:
    The AssociationList of `Extensions` which can be of type:
    AbstractExtension
    Extension
    NumericExtension
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getExternalIdentities

    AssociationList getExternalIdentities()
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the Association list of `ExternalIdentities`

  Returns:
    The AssociationList of `ExternalIdentities` which can be of type:
    ExternalIdentity
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getGroups

    AssociationList getGroups()
                              throws java.rmi.RemoteException,
                                     MdException

  Gets the Association list of `Groups`

  Returns:
    The AssociationList of `Groups` which can be of type:
    Group
    SXLEMap
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getImplementors

    AssociationList getImplementors()
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the Association list of `Implementors`

  Returns:
    The AssociationList of `Implementors` which can be of type:
    SoftwareComponent
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getLocalizedAttributes

    AssociationList getLocalizedAttributes()
                                           throws java.rmi.RemoteException,
                                                  MdException

  Gets the Association list of `LocalizedAttributes`

  Returns:
    The AssociationList of `LocalizedAttributes` which can be of type:
    Property
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getPrimaryPropertyGroups

    AssociationList getPrimaryPropertyGroups()
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the Association list of `PrimaryPropertyGroups`

  Returns:
    The AssociationList of `PrimaryPropertyGroups` which can be of type:
    PropertyGroup
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getPrimaryPropertyGroup

    PropertyGroup getPrimaryPropertyGroup()
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the `PropertyGroup` for `PrimaryPropertyGroup`

  Returns:
    The `PropertyGroup` ( `null` if not set ) of `PrimaryPropertyGroup` which can be of type:
    PropertyGroup
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getProperties

    AssociationList getProperties()
                                  throws java.rmi.RemoteException,
                                         MdException

  Gets the Association list of `Properties`

  Returns:
    The AssociationList of `Properties` which can be of type:
    Property
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getPropertySets

    AssociationList getPropertySets()
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the Association list of `PropertySets`

  Returns:
    The AssociationList of `PropertySets` which can be of type:
    PropertySet
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getResponsibleParties

    AssociationList getResponsibleParties()
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the Association list of `ResponsibleParties`

  Returns:
    The AssociationList of `ResponsibleParties` which can be of type:
    ResponsibleParty
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSourceTransformations

    AssociationList getSourceTransformations()
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the Association list of `SourceTransformations`

  Returns:
    The AssociationList of `SourceTransformations` which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSpecSourceTransformations

    AssociationList getSpecSourceTransformations()
                                                 throws java.rmi.RemoteException,
                                                        MdException

  Gets the Association list of `SpecSourceTransformations`

  Returns:
    The AssociationList of `SpecSourceTransformations` which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSpecTargetTransformations

    AssociationList getSpecTargetTransformations()
                                                 throws java.rmi.RemoteException,
                                                        MdException

  Gets the Association list of `SpecTargetTransformations`

  Returns:
    The AssociationList of `SpecTargetTransformations` which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTimestamps

    AssociationList getTimestamps()
                                  throws java.rmi.RemoteException,
                                         MdException

  Gets the Association list of `Timestamps`

  Returns:
    The AssociationList of `Timestamps` which can be of type:
    Timestamp
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTrees

    AssociationList getTrees()
                             throws java.rmi.RemoteException,
                                    MdException

  Gets the Association list of `Trees`

  Returns:
    The AssociationList of `Trees` which can be of type:
    Tree
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getUsedByPrototypes

    AssociationList getUsedByPrototypes()
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Association list of `UsedByPrototypes`

  Returns:
    The AssociationList of `UsedByPrototypes` which can be of type:
    All types
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getVariables

    AssociationList getVariables()
                                 throws java.rmi.RemoteException,
                                        MdException

  Gets the Association list of `Variables`

  Returns:
    The AssociationList of `Variables` which can be of type:
    Variable
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getChanges

    AssociationList getChanges(boolean fGoToServer)
                               throws java.rmi.RemoteException,
                                      MdException

  Gets the Associationlist of `Changes`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `Changes` which can be of type:
    Change
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getCustomAssociations

    AssociationList getCustomAssociations(boolean fGoToServer)
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the Associationlist of `CustomAssociations`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `CustomAssociations` which can be of type:
    CustomAssociation
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getKeywords

    AssociationList getKeywords(boolean fGoToServer)
                                throws java.rmi.RemoteException,
                                       MdException

  Gets the Associationlist of `Keywords`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `Keywords` which can be of type:
    Keyword
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getNotes

    AssociationList getNotes(boolean fGoToServer)
                             throws java.rmi.RemoteException,
                                    MdException

  Gets the Associationlist of `Notes`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `Notes` which can be of type:
    TextStore
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getPrompts

    AssociationList getPrompts(boolean fGoToServer)
                               throws java.rmi.RemoteException,
                                      MdException

  Gets the Associationlist of `Prompts`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `Prompts` which can be of type:
    AbstractPrompt
    Prompt
    PromptGroup
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getReferencedObjects

    AssociationList getReferencedObjects(boolean fGoToServer)
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the Associationlist of `ReferencedObjects`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `ReferencedObjects` which can be of type:
    CustomAssociation
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTargetTransformations

    AssociationList getTargetTransformations(boolean fGoToServer)
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the Associationlist of `TargetTransformations`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `TargetTransformations` which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTSObjectNamespaces

    AssociationList getTSObjectNamespaces(boolean fGoToServer)
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the Associationlist of `TSObjectNamespaces`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `TSObjectNamespaces` which can be of type:
    TSNamespace
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getUsingPrototypes

    AssociationList getUsingPrototypes(boolean fGoToServer)
                                       throws java.rmi.RemoteException,
                                              MdException

  Gets the Associationlist of `UsingPrototypes`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `UsingPrototypes` which can be of type:
    All types
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getAccessControls

    AssociationList getAccessControls(boolean fGoToServer)
                                      throws java.rmi.RemoteException,
                                             MdException

  Gets the Associationlist of `AccessControls`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `AccessControls` which can be of type:
    AccessControl
    AccessControlEntry
    AccessControlTemplate
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDocuments

    AssociationList getDocuments(boolean fGoToServer)
                                 throws java.rmi.RemoteException,
                                        MdException

  Gets the Associationlist of `Documents`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `Documents` which can be of type:
    Document
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getExtensions

    AssociationList getExtensions(boolean fGoToServer)
                                  throws java.rmi.RemoteException,
                                         MdException

  Gets the Associationlist of `Extensions`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `Extensions` which can be of type:
    AbstractExtension
    Extension
    NumericExtension
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getExternalIdentities

    AssociationList getExternalIdentities(boolean fGoToServer)
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the Associationlist of `ExternalIdentities`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `ExternalIdentities` which can be of type:
    ExternalIdentity
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getGroups

    AssociationList getGroups(boolean fGoToServer)
                              throws java.rmi.RemoteException,
                                     MdException

  Gets the Associationlist of `Groups`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `Groups` which can be of type:
    Group
    SXLEMap
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getImplementors

    AssociationList getImplementors(boolean fGoToServer)
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the Associationlist of `Implementors`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `Implementors` which can be of type:
    SoftwareComponent
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getLocalizedAttributes

    AssociationList getLocalizedAttributes(boolean fGoToServer)
                                           throws java.rmi.RemoteException,
                                                  MdException

  Gets the Associationlist of `LocalizedAttributes`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `LocalizedAttributes` which can be of type:
    Property
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getPrimaryPropertyGroups

    AssociationList getPrimaryPropertyGroups(boolean fGoToServer)
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the Associationlist of `PrimaryPropertyGroups`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `PrimaryPropertyGroups` which can be of type:
    PropertyGroup
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getProperties

    AssociationList getProperties(boolean fGoToServer)
                                  throws java.rmi.RemoteException,
                                         MdException

  Gets the Associationlist of `Properties`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `Properties` which can be of type:
    Property
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getPropertySets

    AssociationList getPropertySets(boolean fGoToServer)
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the Associationlist of `PropertySets`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `PropertySets` which can be of type:
    PropertySet
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getResponsibleParties

    AssociationList getResponsibleParties(boolean fGoToServer)
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the Associationlist of `ResponsibleParties`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `ResponsibleParties` which can be of type:
    ResponsibleParty
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSourceTransformations

    AssociationList getSourceTransformations(boolean fGoToServer)
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the Associationlist of `SourceTransformations`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `SourceTransformations` which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSpecSourceTransformations

    AssociationList getSpecSourceTransformations(boolean fGoToServer)
                                                 throws java.rmi.RemoteException,
                                                        MdException

  Gets the Associationlist of `SpecSourceTransformations`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `SpecSourceTransformations` which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSpecTargetTransformations

    AssociationList getSpecTargetTransformations(boolean fGoToServer)
                                                 throws java.rmi.RemoteException,
                                                        MdException

  Gets the Associationlist of `SpecTargetTransformations`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `SpecTargetTransformations` which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTimestamps

    AssociationList getTimestamps(boolean fGoToServer)
                                  throws java.rmi.RemoteException,
                                         MdException

  Gets the Associationlist of `Timestamps`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `Timestamps` which can be of type:
    Timestamp
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTrees

    AssociationList getTrees(boolean fGoToServer)
                             throws java.rmi.RemoteException,
                                    MdException

  Gets the Associationlist of `Trees`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `Trees` which can be of type:
    Tree
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getUsedByPrototypes

    AssociationList getUsedByPrototypes(boolean fGoToServer)
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Associationlist of `UsedByPrototypes`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `UsedByPrototypes` which can be of type:
    All types
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getVariables

    AssociationList getVariables(boolean fGoToServer)
                                 throws java.rmi.RemoteException,
                                        MdException

  Gets the Associationlist of `Variables`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `Variables` which can be of type:
    Variable
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setLockedBy

    void setLockedBy(java.lang.String inLockedBy)
                     throws java.rmi.RemoteException

  Sets the `LockedBy` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inLockedBy` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLockedBy

    void setLockedBy(java.lang.String inLockedBy,
                     int state)
                     throws java.rmi.RemoteException

  Sets the `LockedBy` Metadata State.

  Parameters:
    `inLockedBy` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLockedByState

    void setLockedByState(int state)
                          throws java.rmi.RemoteException

  Sets the Metadata State of `LockedBy`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setChangeState

    void setChangeState(java.lang.String inChangeState)
                        throws java.rmi.RemoteException

  Sets the `ChangeState` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inChangeState` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setChangeState

    void setChangeState(java.lang.String inChangeState,
                        int state)
                        throws java.rmi.RemoteException

  Sets the `ChangeState` Metadata State.

  Parameters:
    `inChangeState` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setChangeStateState

    void setChangeStateState(int state)
                             throws java.rmi.RemoteException

  Sets the Metadata State of `ChangeState`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUsageVersion

    void setUsageVersion(double inUsageVersion)
                         throws java.rmi.RemoteException

  Sets the `UsageVersion` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inUsageVersion` - double
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUsageVersion

    void setUsageVersion(double inUsageVersion,
                         int state)
                         throws java.rmi.RemoteException

  Sets the `UsageVersion` Metadata State.

  Parameters:
    `inUsageVersion` - double
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUsageVersion

    void setUsageVersion(java.lang.String inUsageVersion)
                         throws java.rmi.RemoteException

  Sets the `UsageVersion` value and sets the state to MetadataState.LOCAL

  Parameters:
    `inUsageVersion` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUsageVersion

    void setUsageVersion(java.lang.String inUsageVersion,
                         int state)
                         throws java.rmi.RemoteException

  Sets the `UsageVersion` value and Metadata State.

  Parameters:
    `inUsageVersion` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUsageVersionState

    void setUsageVersionState(int state)
                              throws java.rmi.RemoteException

  Sets the Metadata State of `UsageVersion`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setChanges

    void setChanges(AssociationList list)
                    throws java.rmi.RemoteException

  Sets the `Changes` list to be `list`. Objects of which can be of type:
  Change

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setChanges

    void setChanges(AssociationList inObjects,
                    int state)
                    throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCustomAssociations

    void setCustomAssociations(AssociationList list)
                               throws java.rmi.RemoteException

  Sets the `CustomAssociations` list to be `list`. Objects of which can be of type:
  CustomAssociation

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCustomAssociations

    void setCustomAssociations(AssociationList inObjects,
                               int state)
                               throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setKeywords

    void setKeywords(AssociationList list)
                     throws java.rmi.RemoteException

  Sets the `Keywords` list to be `list`. Objects of which can be of type:
  Keyword

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setKeywords

    void setKeywords(AssociationList inObjects,
                     int state)
                     throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setNotes

    void setNotes(AssociationList list)
                  throws java.rmi.RemoteException

  Sets the `Notes` list to be `list`. Objects of which can be of type:
  TextStore

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setNotes

    void setNotes(AssociationList inObjects,
                  int state)
                  throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPrompts

    void setPrompts(AssociationList list)
                    throws java.rmi.RemoteException

  Sets the `Prompts` list to be `list`. Objects of which can be of type:
  AbstractPrompt
  Prompt
  PromptGroup

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPrompts

    void setPrompts(AssociationList inObjects,
                    int state)
                    throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setReferencedObjects

    void setReferencedObjects(AssociationList list)
                              throws java.rmi.RemoteException

  Sets the `ReferencedObjects` list to be `list`. Objects of which can be of type:
  CustomAssociation

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setReferencedObjects

    void setReferencedObjects(AssociationList inObjects,
                              int state)
                              throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTargetTransformations

    void setTargetTransformations(AssociationList list)
                                  throws java.rmi.RemoteException

  Sets the `TargetTransformations` list to be `list`. Objects of which can be of type:
  AbstractTransformation
  TransformationStep
  SyncStep
  TransformationActivity
  FeatureMap
  Transformation
  ClassifierMap
  Select
  Join
  AbstractJob
  Job
  JFJob
  MiningResult

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTargetTransformations

    void setTargetTransformations(AssociationList inObjects,
                                  int state)
                                  throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTSObjectNamespaces

    void setTSObjectNamespaces(AssociationList list)
                               throws java.rmi.RemoteException

  Sets the `TSObjectNamespaces` list to be `list`. Object of which can be of type:
  TSNamespace

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTSObjectNamespaces

    void setTSObjectNamespaces(AssociationList list,
                               int state)
                               throws java.rmi.RemoteException

  Sets the `TSObjectNamespaces` list to be `list`. Object of which can be of type:
  TSNamespace

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTSObjectNamespace

    void setTSObjectNamespace(TSNamespace inObject)
                              throws java.rmi.RemoteException

  Sets the `TSObjectNamespaces` list 0th element to be `inObject`.

  Parameters:
    `inObject` - TSNamespace
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUsingPrototypes

    void setUsingPrototypes(AssociationList list)
                            throws java.rmi.RemoteException

  Sets the `UsingPrototypes` list to be `list`. Object of which can be of type:
  All types

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUsingPrototypes

    void setUsingPrototypes(AssociationList list,
                            int state)
                            throws java.rmi.RemoteException

  Sets the `UsingPrototypes` list to be `list`. Object of which can be of type:
  All types

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUsingPrototype

    void setUsingPrototype(Root inObject)
                           throws java.rmi.RemoteException

  Sets the `UsingPrototypes` list 0th element to be `inObject`.

  Parameters:
    `inObject` - Root
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAccessControls

    void setAccessControls(AssociationList list)
                           throws java.rmi.RemoteException

  Sets the `AccessControls` list to be `list`. Objects of which can be of type:
  AccessControl
  AccessControlEntry
  AccessControlTemplate

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAccessControls

    void setAccessControls(AssociationList inObjects,
                           int state)
                           throws java.rmi.RemoteException

  Sets the entire AccessControls list to match the passed in AssociationList, sets the state of the AccessControls

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDocuments

    void setDocuments(AssociationList list)
                      throws java.rmi.RemoteException

  Sets the `Documents` list to be `list`. Objects of which can be of type:
  Document

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDocuments

    void setDocuments(AssociationList inObjects,
                      int state)
                      throws java.rmi.RemoteException

  Sets the entire Documents list to match the passed in AssociationList, sets the state of the Documents

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setExtensions

    void setExtensions(AssociationList list)
                       throws java.rmi.RemoteException

  Sets the `Extensions` list to be `list`. Objects of which can be of type:
  AbstractExtension
  Extension
  NumericExtension

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setExtensions

    void setExtensions(AssociationList inObjects,
                       int state)
                       throws java.rmi.RemoteException

  Sets the entire Extensions list to match the passed in AssociationList, sets the state of the Extensions

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setExternalIdentities

    void setExternalIdentities(AssociationList list)
                               throws java.rmi.RemoteException

  Sets the `ExternalIdentities` list to be `list`. Objects of which can be of type:
  ExternalIdentity

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setExternalIdentities

    void setExternalIdentities(AssociationList inObjects,
                               int state)
                               throws java.rmi.RemoteException

  Sets the entire ExternalIdentities list to match the passed in AssociationList, sets the state of the ExternalIdentities

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setGroups

    void setGroups(AssociationList list)
                   throws java.rmi.RemoteException

  Sets the `Groups` list to be `list`. Objects of which can be of type:
  Group
  SXLEMap

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setGroups

    void setGroups(AssociationList inObjects,
                   int state)
                   throws java.rmi.RemoteException

  Sets the entire Groups list to match the passed in AssociationList, sets the state of the Groups

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setImplementors

    void setImplementors(AssociationList list)
                         throws java.rmi.RemoteException

  Sets the `Implementors` list to be `list`. Objects of which can be of type:
  SoftwareComponent
  DeployedComponent
  ConfiguredComponent
  ServiceComponent
  ServerComponent
  LogicalServer
  ServerContext

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setImplementors

    void setImplementors(AssociationList inObjects,
                         int state)
                         throws java.rmi.RemoteException

  Sets the entire Implementors list to match the passed in AssociationList, sets the state of the Implementors

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLocalizedAttributes

    void setLocalizedAttributes(AssociationList list)
                                throws java.rmi.RemoteException

  Sets the `LocalizedAttributes` list to be `list`. Objects of which can be of type:
  Property

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLocalizedAttributes

    void setLocalizedAttributes(AssociationList inObjects,
                                int state)
                                throws java.rmi.RemoteException

  Sets the entire LocalizedAttributes list to match the passed in AssociationList, sets the state of the LocalizedAttributes

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPrimaryPropertyGroups

    void setPrimaryPropertyGroups(AssociationList list)
                                  throws java.rmi.RemoteException

  Sets the `PrimaryPropertyGroups` list to be `list`. Objects of which can be of type:
  PropertyGroup

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPrimaryPropertyGroups

    void setPrimaryPropertyGroups(AssociationList list,
                                  int state)
                                  throws java.rmi.RemoteException

  Sets the `PrimaryPropertyGroups` list to be `list`. Objects of which can be of type:
  PropertyGroup

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPrimaryPropertyGroup

    void setPrimaryPropertyGroup(PropertyGroup inObject)
                                 throws java.rmi.RemoteException

  Sets the `PrimaryPropertyGroups` list 0th element to be `inObject`.

  Parameters:
    `inObject` - PropertyGroup
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setProperties

    void setProperties(AssociationList list)
                       throws java.rmi.RemoteException

  Sets the `Properties` list to be `list`. Objects of which can be of type:
  Property

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setProperties

    void setProperties(AssociationList inObjects,
                       int state)
                       throws java.rmi.RemoteException

  Sets the entire Properties list to match the passed in AssociationList, sets the state of the Properties

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPropertySets

    void setPropertySets(AssociationList list)
                         throws java.rmi.RemoteException

  Sets the `PropertySets` list to be `list`. Objects of which can be of type:
  PropertySet

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPropertySets

    void setPropertySets(AssociationList inObjects,
                         int state)
                         throws java.rmi.RemoteException

  Sets the entire PropertySets list to match the passed in AssociationList, sets the state of the PropertySets

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setResponsibleParties

    void setResponsibleParties(AssociationList list)
                               throws java.rmi.RemoteException

  Sets the `ResponsibleParties` list to be `list`. Objects of which can be of type:
  ResponsibleParty

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setResponsibleParties

    void setResponsibleParties(AssociationList inObjects,
                               int state)
                               throws java.rmi.RemoteException

  Sets the entire ResponsibleParties list to match the passed in AssociationList, sets the state of the ResponsibleParties

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSourceTransformations

    void setSourceTransformations(AssociationList list)
                                  throws java.rmi.RemoteException

  Sets the `SourceTransformations` list to be `list`. Objects of which can be of type:
  AbstractTransformation
  TransformationStep
  SyncStep
  TransformationActivity
  FeatureMap
  Transformation
  ClassifierMap
  Select
  Join
  AbstractJob
  Job
  JFJob
  MiningResult

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSourceTransformations

    void setSourceTransformations(AssociationList inObjects,
                                  int state)
                                  throws java.rmi.RemoteException

  Sets the entire SourceTransformations list to match the passed in AssociationList, sets the state of the SourceTransformations

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSpecSourceTransformations

    void setSpecSourceTransformations(AssociationList list)
                                      throws java.rmi.RemoteException

  Sets the `SpecSourceTransformations` list to be `list`. Objects of which can be of type:
  AbstractTransformation
  TransformationStep
  SyncStep
  TransformationActivity
  FeatureMap
  Transformation
  ClassifierMap
  Select
  Join
  AbstractJob
  Job
  JFJob
  MiningResult

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSpecSourceTransformations

    void setSpecSourceTransformations(AssociationList inObjects,
                                      int state)
                                      throws java.rmi.RemoteException

  Sets the entire SpecSourceTransformations list to match the passed in AssociationList, sets the state of the SpecSourceTransformations

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSpecTargetTransformations

    void setSpecTargetTransformations(AssociationList list)
                                      throws java.rmi.RemoteException

  Sets the `SpecTargetTransformations` list to be `list`. Objects of which can be of type:
  AbstractTransformation
  TransformationStep
  SyncStep
  TransformationActivity
  FeatureMap
  Transformation
  ClassifierMap
  Select
  Join
  AbstractJob
  Job
  JFJob
  MiningResult

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSpecTargetTransformations

    void setSpecTargetTransformations(AssociationList inObjects,
                                      int state)
                                      throws java.rmi.RemoteException

  Sets the entire SpecTargetTransformations list to match the passed in AssociationList, sets the state of the SpecTargetTransformations

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTimestamps

    void setTimestamps(AssociationList list)
                       throws java.rmi.RemoteException

  Sets the `Timestamps` list to be `list`. Objects of which can be of type:
  Timestamp

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTimestamps

    void setTimestamps(AssociationList inObjects,
                       int state)
                       throws java.rmi.RemoteException

  Sets the entire Timestamps list to match the passed in AssociationList, sets the state of the Timestamps

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTrees

    void setTrees(AssociationList list)
                  throws java.rmi.RemoteException

  Sets the `Trees` list to be `list`. Objects of which can be of type:
  Tree

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTrees

    void setTrees(AssociationList inObjects,
                  int state)
                  throws java.rmi.RemoteException

  Sets the entire Trees list to match the passed in AssociationList, sets the state of the Trees

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUsedByPrototypes

    void setUsedByPrototypes(AssociationList list)
                             throws java.rmi.RemoteException

  Sets the `UsedByPrototypes` list to be `list`. Objects of which can be of type:
  All types

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUsedByPrototypes

    void setUsedByPrototypes(AssociationList inObjects,
                             int state)
                             throws java.rmi.RemoteException

  Sets the entire UsedByPrototypes list to match the passed in AssociationList, sets the state of the UsedByPrototypes

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setVariables

    void setVariables(AssociationList list)
                      throws java.rmi.RemoteException

  Sets the `Variables` list to be `list`. Objects of which can be of type:
  Variable

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setVariables

    void setVariables(AssociationList inObjects,
                      int state)
                      throws java.rmi.RemoteException

  Sets the entire Variables list to match the passed in AssociationList, sets the state of the Variables

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.